new-style PLIST, using @sample.

Makefile cleanup + add license marker.
This commit is contained in:
xsa 2004-08-09 13:23:33 +00:00
parent 9503cf0454
commit 9c528aa5dc
4 changed files with 11 additions and 110 deletions

View File

@ -1,21 +1,21 @@
# $FreeBSD: ports/net/ipfm/Makefile,v 1.2 2000/04/09 18:11:44 cpiazza Exp $
# $OpenBSD: Makefile,v 1.7 2002/10/28 01:38:45 naddy Exp $
# $OpenBSD: Makefile,v 1.8 2004/08/09 13:23:33 xsa Exp $
COMMENT= "IP bandwidth analysis tool"
DISTNAME= ipfm-0.11.4
CATEGORIES= net
HOMEPAGE= http://robert.cheramy.net/ipfm/
# GPL
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
MASTER_SITES= http://robert.cheramy.net/ipfm/archive/
MASTER_SITES= ${HOMEPAGE}archive/
EXTRACT_SUFX= .tgz
HOMEPAGE= http://robert.cheramy.net/ipfm/
CONFIGURE_STYLE=gnu
NO_REGRESS= Yes

View File

@ -1,28 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2003/09/28 17:00:11 naddy Exp $
#
# ipfm de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/ipfm.conf
LOG_DIR=/var/log/ipfm
if [ "$PKG_DELETE_EXTRA" != Yes ] &&
[ -f ${CONFIG_FILE} -o -d ${LOG_DIR} ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "| rm -rf ${LOG_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,70 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.2 2003/04/26 14:55:32 sturm Exp $
#
# Pre/post-installation setup of ipfm
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/ipfm.conf
SAMPLE_CONFIG_FILE=${PREFIX}/share/examples/ipfm/ipfm.conf.sample
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, ${SAMPLE_CONFIG_FILE},"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install the system ipfm.conf from the sample
#
do_install()
{
install -o root -g wheel -m 644 ${SAMPLE_CONFIG_FILE} ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
install -o root -g wheel -m 700 -d /var/log/ipfm
if [ -f ${CONFIG_FILE} ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,13 +1,12 @@
@comment $OpenBSD: PLIST,v 1.3 2003/09/28 17:00:11 naddy Exp $
man/man5/ipfm.conf.5
man/man8/ipfm.8
@comment $OpenBSD: PLIST,v 1.4 2004/08/09 13:23:33 xsa Exp $
@man man/man5/ipfm.conf.5
@man man/man8/ipfm.8
sbin/ipfm
share/doc/ipfm/
share/doc/ipfm/HISTORY
share/doc/ipfm/LICENSE
share/doc/ipfm/TODO
share/examples/ipfm/
share/examples/ipfm/ipfm.conf.sample
@dirrm share/examples/ipfm
@dirrm share/doc/ipfm
@cwd ${SYSCONFDIR}
@extra ipfm.conf
@sample ${SYSCONFDIR}/ipfm.conf
@extraunexec rm -rf /var/log/ipfm